
;  PureBasic IDE Preference File
; 
; 
[Global]
Version = 570
AutoReload = 0
MemorizeWindow = 1
CurrentLanguage = Russian
LanguageFile = Catalogs\russian\editor.catalog
CurrentTheme = SilkTheme.zip
SourceDirectory = Examples\Inc\HID_Lib\Examples\
EnableBraceMatch = 1
EnableKeywordMatch = 1
EnableKeywordBolding = 1
EnableCaseCorrection = 1
EnableLineNumbers = 1
ShowWhiteSpace = 0
ShowIndentGuides = 0
AutoSave = 1
AutoSaveAll = 1
SaveSettingsMode = 0
RunOnce = 1
ShowToolbar = 1
TabLength = 2
RealTab = 0
MemorizeCursor = 1
MemorizeMarkers = 1
LastFilePattern = 0
EnableMenuIcons = 1
DisplayFullPath = 1
NoSplashScreen = 1
AlwaysHideLog = 0
ShowCompilerProgress = 0
UseHelpToolF1 = 1
MonitorFileChanges = 1
UpdateCheckInterval = 3
UpdateCheckVersions = 1
LastUpdateCheck = 0
; 
[Editor]
IsWindowMaximized = 1
X = 80
Y = 80
Width = 600
Height = 420
FilesPanelMultiline = 0
FilesPanelCloseButtons = 1
FilesPanelNewButton = 0
CodeFileExtensions = 
ASMKeywordColor = 7490450
BackgroundColor = 14680063
BasicKeywordColor = 6710784
CommentColor = 11184640
ConstantColor = 7490450
LabelColor = 8388863
NormalTextColor = 0
NumberColor = 12673280
OperatorColor = 8421376
PointerColor = 8388672
PureKeywordColor = 6710784
SeparatorColor = 10485760
StringColor = 8388736
StructureColor = 4227327
LineNumberColor = 8421504
LineNumberBackColor = 14155775
MarkerColor = 11184640
CurrentLineColor = 12058623
SelectionColor = 12937777
SelectionFrontColor = 16777215
CursorColor = 0
Debugger_LineColor = 16771304
Debugger_LineSymbolColor = 16771304
Debugger_ErrorColor = 255
Debugger_ErrorSymbolColor = 255
Debugger_BreakPointColor = 53503
Debugger_BreakpoinSymbolColor = 53503
DisabledBackColor = 16316664
GoodBraceColor = 16711680
BadBraceColor = 255
ProcedureBackColor = 14680063
CustomKeywordColor = 6684672
Debugger_WarningColor = 53503
Debugger_WarningSymbolColor = 53503
IndentColor = 11184640
ModuleColor = 16711680
SelectionRepeatColor = 11009968
PlainBackground = 14680063
EditorFontName = Courier
EditorFontSize = 10
EditorFontStyle = 
; 
[Folding]
EnableFolding = 1
Start_1 = ;{
Start_2 = DeclareModule
Start_3 = Macro
Start_4 = Module
Start_5 = Procedure
Start_6 = ProcedureC
Start_7 = ProcedureCDLL
Start_8 = ProcedureDLL
StartWords = 8
End_1 = ;}
End_2 = EndDeclareModule
End_3 = EndMacro
End_4 = EndModule
End_5 = EndProcedure
EndWords = 5
[Indentation]
IndentMode = 2
BackspaceUnindent = 1
NbKeywords = 51
Keyword_0 = Case
Before_0 = -1
After_0 = 1
Keyword_1 = CompilerCase
Before_1 = -1
After_1 = 1
Keyword_2 = CompilerDefault
Before_2 = -1
After_2 = 1
Keyword_3 = CompilerElse
Before_3 = -1
After_3 = 1
Keyword_4 = CompilerElseIf
Before_4 = -1
After_4 = 1
Keyword_5 = CompilerEndIf
Before_5 = -1
After_5 = 0
Keyword_6 = CompilerEndSelect
Before_6 = -2
After_6 = 0
Keyword_7 = CompilerIf
Before_7 = 0
After_7 = 1
Keyword_8 = CompilerSelect
Before_8 = 0
After_8 = 2
Keyword_9 = DataSection
Before_9 = 0
After_9 = 1
Keyword_10 = DeclareModule
Before_10 = 0
After_10 = 1
Keyword_11 = Default
Before_11 = -1
After_11 = 1
Keyword_12 = Else
Before_12 = -1
After_12 = 1
Keyword_13 = ElseIf
Before_13 = -1
After_13 = 1
Keyword_14 = EndDataSection
Before_14 = -1
After_14 = 0
Keyword_15 = EndDeclareModule
Before_15 = -1
After_15 = 0
Keyword_16 = EndEnumeration
Before_16 = -1
After_16 = 0
Keyword_17 = EndIf
Before_17 = -1
After_17 = 0
Keyword_18 = EndImport
Before_18 = -1
After_18 = 0
Keyword_19 = EndInterface
Before_19 = -1
After_19 = 0
Keyword_20 = EndMacro
Before_20 = -1
After_20 = 0
Keyword_21 = EndModule
Before_21 = -1
After_21 = 0
Keyword_22 = EndProcedure
Before_22 = -1
After_22 = 0
Keyword_23 = EndSelect
Before_23 = -2
After_23 = 0
Keyword_24 = EndStructure
Before_24 = -1
After_24 = 0
Keyword_25 = EndStructureUnion
Before_25 = -1
After_25 = 0
Keyword_26 = EndWith
Before_26 = -1
After_26 = 0
Keyword_27 = Enumeration
Before_27 = 0
After_27 = 1
Keyword_28 = EnumerationBinary
Before_28 = 0
After_28 = 1
Keyword_29 = For
Before_29 = 0
After_29 = 1
Keyword_30 = ForEach
Before_30 = 0
After_30 = 1
Keyword_31 = ForEver
Before_31 = -1
After_31 = 0
Keyword_32 = If
Before_32 = 0
After_32 = 1
Keyword_33 = Import
Before_33 = 0
After_33 = 1
Keyword_34 = ImportC
Before_34 = 0
After_34 = 1
Keyword_35 = Interface
Before_35 = 0
After_35 = 1
Keyword_36 = Macro
Before_36 = 0
After_36 = 1
Keyword_37 = Module
Before_37 = 0
After_37 = 1
Keyword_38 = Next
Before_38 = -1
After_38 = 0
Keyword_39 = Procedure
Before_39 = 0
After_39 = 1
Keyword_40 = ProcedureC
Before_40 = 0
After_40 = 1
Keyword_41 = ProcedureCDLL
Before_41 = 0
After_41 = 1
Keyword_42 = ProcedureDLL
Before_42 = 0
After_42 = 1
Keyword_43 = Repeat
Before_43 = 0
After_43 = 1
Keyword_44 = Select
Before_44 = 0
After_44 = 2
Keyword_45 = Structure
Before_45 = 0
After_45 = 1
Keyword_46 = StructureUnion
Before_46 = 0
After_46 = 1
Keyword_47 = Until
Before_47 = -1
After_47 = 0
Keyword_48 = Wend
Before_48 = -1
After_48 = 0
Keyword_49 = While
Before_49 = 0
After_49 = 1
Keyword_50 = With
Before_50 = 0
After_50 = 1
[Form]
Variable = 0
VariableCaption = 0
Grid = 1
GridSize = 4
EventProcedure = 0
FormSkin = 1
FormSkinVersion = 7
[EditHistory]
Enable = 1
Timer = 5
MaxFileSize = 2097152
PurgeMode = 2
MaxDays = 30
MaxCount = 20
WindowX = 0
WindowY = 0
WindowWidth = 800
WindowHeight = 500
WindowIsMaximized = 0
WindowSplitter = 300
; 
[Issues]
MultiFile = 1
Selected = 0
ColSize1 = 60
ColSize2 = 250
ColSize3 = 50
ColSize4 = 120
ColSize5 = 80
Count = 2
Name_1 = Todo
Expr_1 = \bTODO\b.*
Prio_1 = 4
Color_1 = 53503
Mode_1 = 1
InTool_1 = 1
InBrowser_1 = 0
Name_2 = Fixme
Expr_2 = \bFIXME\b.*
Prio_2 = 1
Color_2 = 255
Mode_2 = 1
InTool_2 = 1
InBrowser_2 = 0
; 
[Shortcuts]
New = 131150
Open = 131151
Save = 131155
SaveAs = 0
SaveAll = 0
Reload = 0
Close = 131159
CloseAll = 0
DiffCurrent = 0
EncodingPlain = 0
EncodingUtf8 = 0
NewlineWindows = 0
NewlineLinux = 0
NewlineMacOS = 0
Preferences = 0
EditHistory = 0
Quit = 0
Undo = 131162
Redo = 131161
Cut = 131160
Copy = 131139
Paste = 131158
InsertComment = 131138
RemoveComment = 196674
AutoIndent = 131145
SelectAll = 131137
Goto = 131143
JumpToKeyword = 131147
LastViewedLine = 131148
ToggleThisFold = 115
ToggleFolds = 131187
AddMarker = 131185
JumpToMarker = 113
ClearMarkers = 0
Find = 131142
FindNext = 114
FindPrevious = 65650
FindInFiles = 196678
NewProject = 196686
OpenProject = 196687
CloseProject = 196695
ProjectOptions = 0
AddProjectFile = 196673
RemoveProjectFile = 196690
OpenProjectFolder = 0
NewForm = 0
FormSwitch = 0
FormDuplicate = 0
FormImageManager = 0
Compile = 116
RunExe = 65652
SyntaxCheck = 0
DebuggerCompile = 0
NoDebuggerCompile = 0
RestartCompiler = 0
CompilerOptions = 0
CreateEXE = 0
BuildAllTargets = 0
Debugger = 0
Stop = 117
Run = 118
Step = 119
StepX = 131191
StepOver = 121
StepOut = 122
Kill = 0
BreakPoint = 120
BreakClear = 0
DataBreakPoints = 0
ShowLog = 0
ClearLog = 0
CopyLog = 0
ClearErrorMarks = 0
DebugOutput = 0
WatchList = 0
VariableList = 0
Profiler = 0
History = 0
Memory = 0
LibraryViewer = 0
DebugAsm = 0
Purifier = 0
VisualDesigner = 262230
StructureViewer = 262227
FileViewer = 0
VariableViewer = 0
ColorPicker = 0
AsciiTable = 262209
Explorer = 262232
ProcedureBrowser = 0
Issues = 0
ProjectPanel = 0
Templates = 0
Diff = 0
AddTools = 0
Help = 112
UpdateCheck = 0
About = 0
NextOpenFile = 131081
PreviousOpenFile = 196617
ShiftCommentRight = 131141
ShiftCommentLeft = 196677
SelectBlock = 131149
DeselectBlock = 196685
AutoComplete = 131104
AutoCompleteConfirm = 13
AutoCompleteAbort = 27
ProceduresUpdate = 123
; 
[ToolbarNew]
ItemCount = 25
Icon_1 = Menu:New
Action_1 = Menu:New
Icon_2 = Menu:Open
Action_2 = Menu:Open
Icon_3 = Menu:Save
Action_3 = Menu:Save
Icon_4 = Separator
Action_4 = 
Icon_5 = Menu:Close
Action_5 = Menu:Close
Icon_6 = Separator
Action_6 = 
Icon_7 = Menu:Cut
Action_7 = Menu:Cut
Icon_8 = Menu:Copy
Action_8 = Menu:Copy
Icon_9 = Menu:Paste
Action_9 = Menu:Paste
Icon_10 = Separator
Action_10 = 
Icon_11 = Menu:Undo
Action_11 = Menu:Undo
Icon_12 = Menu:Redo
Action_12 = Menu:Redo
Icon_13 = Separator
Action_13 = 
Icon_14 = Menu:Compile
Action_14 = Menu:Compile
Icon_15 = Menu:SyntaxCheck
Action_15 = Menu:SyntaxCheck
Icon_16 = Menu:CompilerOptions
Action_16 = Menu:CompilerOptions
Icon_17 = Separator
Action_17 = 
Icon_18 = Menu:Debugger
Action_18 = Menu:Debugger
Icon_19 = Menu:Stop
Action_19 = Menu:Stop
Icon_20 = Menu:Run
Action_20 = Menu:Run
Icon_21 = Menu:Step
Action_21 = Menu:Step
Icon_22 = Menu:Step
Action_22 = Menu:StepOver
Icon_23 = Menu:StepOut
Action_23 = Menu:StepOut
Icon_24 = Menu:Kill
Action_24 = Menu:Kill
Icon_25 = Standard:New
Action_25 = 
; 
[FindWindow]
X = 273
Y = 292
HistorySize = 20
DoReplace = 0
CaseSensitive = 0
WholeWord = 0
SelectionOnly = 0
NoComments = 1
NoStrings = 1
SearchHistory_1 = Debug
; 
[DiffWindow]
OutputX = -1
OutputY = -1
OutputWidth = 700
OutputHeight = 450
OutputIsMaximized = 0
DirectoryX = -1
DirectoryY = -1
DirectoryWidth = 500
DirectoryHeight = 400
DirectoryIsMaximized = 0
DialogX = -1
DialogY = -1
Vertical = 0
Colors = 1
IgnoreCase = 0
IgnoreSpaceAll = 0
IgnoreSpaceLeft = 0
IgnoreSpaceRight = 0
Recurse = 0
; 
[GrepWindow]
X = -1
Y = -1
CaseSensitive = 0
WholeWord = 0
NoComments = 0
NoStrings = 0
Recurse = 0
ExtensionHistory_1 = *.pb, *.pbi
ExtensionHistory_2 = *.pb
; 
[ToolsPanel]
Width = 200
Side = 0
UseFont = 0
UseColors = 1
Font = 
Fontsize = 12
FontStyle = 
FrontColor = 0
BackColor = 14680063
NoIndependantColors = 1
AutoHide = 1
HideDelay = 2400
ActiveTools = 2
Tool_1 = ProcedureBrowser
Tool_2 = Explorer
; 
[FormPanel]
SplitterPos = 192
; 
[AsciiTable]
Mode = 0
; 
[Explorer]
Mode = 0
Pattern = 0
SavePath = 1
ShowHidden = 1
Splitter = 90
Path = \
Favorites = 0
; 
[ColorPicker]
Mode = RGB
Color = 12566335
UseAlpha = 0
Alpha = 255
Palette = 2
Color_0 = 13684944
Alpha_0 = -1
Color_1 = 13684944
Alpha_1 = -1
Color_2 = 13684944
Alpha_2 = -1
Color_3 = 13684944
Alpha_3 = -1
Color_4 = 13684944
Alpha_4 = -1
Color_5 = 13684944
Alpha_5 = -1
Color_6 = 13684944
Alpha_6 = -1
Color_7 = 13684944
Alpha_7 = -1
Color_8 = 13684944
Alpha_8 = -1
Color_9 = 13684944
Alpha_9 = -1
Color_10 = 13684944
Alpha_10 = -1
Color_11 = 13684944
Alpha_11 = -1
Color_12 = 13684944
Alpha_12 = -1
Color_13 = 13684944
Alpha_13 = -1
Color_14 = 13684944
Alpha_14 = -1
Color_15 = 13684944
Alpha_15 = -1
Color_16 = 13684944
Alpha_16 = -1
Color_17 = 13684944
Alpha_17 = -1
Color_18 = 13684944
Alpha_18 = -1
Color_19 = 13684944
Alpha_19 = -1
Color_20 = 13684944
Alpha_20 = -1
Color_21 = 13684944
Alpha_21 = -1
Color_22 = 13684944
Alpha_22 = -1
Color_23 = 13684944
Alpha_23 = -1
; 
[ProcedureBrowser]
Sort = 0
Prototype = 0
; 
[VariableViewer]
ShowAllFiles = 0
ShowProject = 1
Current = Variable
; 
[Templates]
WindowX = 100
WindowY = 200
WindowWidth = 500
WindowHeight = 400
Splitter = 80
Selection = -1
FirstVisible = 0
AskDelete = 1
; 
[FileViewer]
X = 50
Y = 50
Width = 500
Height = 400
IsMaximized = 0
Path = Examples\
Pattern = 0
; 
[MoreCompilers]
Count = 1
Compiler1_Exe = x64\Compilers\pbcompiler.exe
Compiler1_Md5 = 0e2e1e1b9771e5874b7a7d1b7763d6de
Compiler1_Version = PureBasic 5.70 LTS (Windows - x64)
; 
[CompilerDefaults]
X = 255
Y = 155
ProjectOptionX = -1
ProjectOptionY = -1
Debugger = 1
Purifier = 0
InlineASM = 0
XPSkin = 1
VistaAdmin = 0
VistaUser = 0
DPIAware = 0
Thread = 0
OnError = 0
CPU = 0
ExeFormat = 0
NewLineType = 0
SubSystem = 
ShowErrorLog = 1
TextEncoding = 1
UseCompileCount = 0
UseBuildCount = 0
UseCreateExe = 0
TemporaryExe = 1
; 
[CustomKeywords]
File = 
Count = 0
; 
[AddTools]
X = -1
Y = -1
Width = 400
Height = 300
EditX = -1
EditY = -1
; 
[AutoComplete]
CharMatchOnly = 2
AddBrackets = 1
AddSpaces = 0
AddEndKeywords = 0
Width = 280
Height = 300
AutoPopup = 1
CompleteStructures = 1
CompleteModules = 1
ProjectItems = 1
AllFileItems = 1
AutoPopupLength = 2
Variable = 1
Array = 1
List = 1
Map = 1
Procedure = 1
Macro = 1
Import = 1
Constant = 1
Module = 1
Prototype = 1
Structure = 1
Interface = 1
Label = 1
PBKeywords = 1
ASMKeywords = 0
PBFunctions = 1
APIFunctions = 1
PBConstants = 1
PBStructures = 1
PBInterfaces = 1
; 
[RecentFiles]
HistorySize = 20
; 
[OpenedFiles]
Count = 0
OpenedProject = 
; 
[Debugger]
DebuggerMode = 1
KeepErrorMarks = 1
MemorizeWindows = 1
IsDebuggerMaximized = 0
StayOnTop = 1
AutoBringToTop = 0
CallOnStart = 0
CallOnEnd = 0
LogTimeStamp = 1
ErrorLogHeight = 74
KillOnError = 0
AutoClearLog = 0
DisplayErrorWindow = 1
WarningMode = 1
StartupTimeout = 10000
DebugTimeStamp = 0
DebugIsHex = 0
DebugSystemMessages = 0
DebugOutputToErrorLog = 0
RegisterIsHex = 0
StackIsHex = 0
AutoStackUpdate = 1
MemoryIsHex = 0
MemoryOneColumnOnly = 0
IsMiniDebugger = 0
AutoOpenDebugOutput = 0
AutoOpenAsmWindow = 0
AutoOpenMemoryViewer = 0
AutoOpenVariableViewer = 0
AutoOpenHistory = 0
AutoOpenWatchlist = 0
AutoOpenLibraryViewer = 0
AutoOpenDataBreakpoints = 0
AutoOpenPurifier = 0
AutoOpenProfiler = 0
ProfilerRunAtStart = 1
